Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.rgpext
Class EPPRgpExtTst

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.verisign.epp.codec.rgpext.EPPRgpExtTst

All Implemented Interfaces:
  junit.framework.Test

    public class EPPRgpExtTst

extends junit.framework.TestCase

Is a unit test of the com.verisign.epp.codec.rgpext package. The unit test will execute, gather statistics, and output the results of a test of each com.verisign.epp.codec.rgpext package concrete `EPPRgpExt`'s and their expected `EPPResponse`. The unit test is dependent on the use of JUNIT 3.5

Version:
  $Revision: 1.9 $
Author:
  $Author: jim $

Constructor Summary
`EPPRgpExtTst(java.lang.String name)` Creates a new EPPRgpExtTst object.

Method Summary
`static void` | `main(java.lang.String[] args)` Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off ( `false`).
`static void` | `setNumIterations(long aNumIterations)` Sets the number of iterations to run per test.
`protected void` | `setUp()` JUNIT `setUp` method, which sets the default client Id to "theRegistrar" and initializes the `EPPDomainMapFactory` with the `EPPCodec`.
`static junit.framework.Test` | `suite()` JUNIT `suite` static method, which returns the tests associated with `EPPRgpExtTst`.
`protected void` | `tearDown()` JUNIT `tearDown`, which currently does nothing.
`void` | `testDomainInfoRespWithRgpExt()` Unit test of `testDomainInfoRespWithRgpExt`.
`void` | `testDomainInfoRespWithRgpExtStatuses()` Unit test of `testDomainInfoRespWithRgpExt`.
`void` | `testPoll()`
`void` | `testRestoreReport()` Tests sending a restore report using the `EPPRgpExtUpdate` domain update extension.
`void` | `testRestoreRequest()` Tests sending a restore request using the `EPPRgpExtUpdate` domain update extension.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPRgpExtTst

    public EPPRgpExtTst(java.lang.String name)

  Creates a new EPPRgpExtTst object.

  Parameters:
    `name` - DOCUMENT ME!

Method Detail

### testPoll

    public void testPoll()

### testRestoreReport

    public void testRestoreReport()

  Tests sending a restore report using the `EPPRgpExtUpdate` domain update extension.

### testRestoreRequest

    public void testRestoreRequest()

  Tests sending a restore request using the `EPPRgpExtUpdate` domain update extension.

### testDomainInfoRespWithRgpExt

    public void testDomainInfoRespWithRgpExt()

  Unit test of `testDomainInfoRespWithRgpExt`. The response to `testDomainInfoRespWithRgpExt` is `EPPDomainInfoResp`.
  This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

### testDomainInfoRespWithRgpExtStatuses

    public void testDomainInfoRespWithRgpExtStatuses()

  Unit test of `testDomainInfoRespWithRgpExt`. This tests a `EPPRgpExtInfData` with multiple statuses.

### setUp

    protected void setUp()

  JUNIT `setUp` method, which sets the default client Id to "theRegistrar" and initializes the `EPPDomainMapFactory` with the `EPPCodec`.

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### tearDown

    protected void tearDown()

  JUNIT `tearDown`, which currently does nothing.

  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### suite

    public static junit.framework.Test suite()

  JUNIT `suite` static method, which returns the tests associated with `EPPRgpExtTst`.

  Returns:
    DOCUMENT ME!

### main

    public static void main(java.lang.String[] args)

  Unit test main, which accepts the following system property options:
  - iterations Number of unit test iterations to run
  - validate Turn XML validation on (`true`) or off ( `false`). If validate is not specified, validation will be off.

  Parameters:
    `args` - DOCUMENT ME!

### setNumIterations

    public static void setNumIterations(long aNumIterations)

  Sets the number of iterations to run per test.

  Parameters:
    `aNumIterations` - number of iterations to run per test

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.